package sikd.sikd5.sikd5bean.ws.transaksi;

import java.io.Serializable;
import java.util.Date;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * @oleh : agus
 * @tanggal : May 13, 2019
 */
@XmlRootElement
@XmlType(name = "jurnalWS", propOrder = {
    "jenistransaksi",
    "nomorbukti",
    "tanggalbukti",
    "kodeurusanprogram",
    "namaurusanprogram",
    "kodeurusanpelaksana",
    "namaurusanpelaksana",
    "kodeskpd",
    "namaskpd",
    "kodeunitskpd",
    "namaunitskpd",
    "kodeprogram",
    "namaprogram",
    "kodekegiatan",
    "namakegiatan",
    "kodefungsi",
    "namafungsi",
    "kodeakunutama",
    "namaakunutama",
    "kodeakunkelompok",
    "namaakunkelompok",
    "kodeakunjenis",
    "namaakunjenis",
    "kodeakunobjek",
    "namaakunobjek",
    "kodeakunrincian",
    "namaakunrincian",
    "nilaidebet",
    "nilaikredit",
    "kodeposting",
    "saldonormal",
    "keterangan",
    "catatan"

})
public class Jurnal_WS implements Serializable {

    private int jenistransaksi;
    private String nomorbukti;
    private Date tanggalbukti;
    private String kodeurusanprogram;
    private String namaurusanprogram;
    private String kodeurusanpelaksana;
    private String namaurusanpelaksana;
    private String kodeskpd;
    private String namaskpd;
    private String kodeunitskpd;
    private String namaunitskpd;
    private String kodeprogram;
    private String namaprogram;
    private String kodekegiatan;
    private String namakegiatan;
    private String kodefungsi;
    private String namafungsi;
    private String kodeakunutama;
    private String namaakunutama;
    private String kodeakunkelompok;
    private String namaakunkelompok;
    private String kodeakunjenis;
    private String namaakunjenis;
    private String kodeakunobjek;
    private String namaakunobjek;
    private String kodeakunrincian;
    private String namaakunrincian;
    private double nilaidebet;
    private double nilaikredit;
    private int kodeposting;
    private String saldonormal;
    private String keterangan;
    private String catatan;

    public Jurnal_WS() {

    }

    public Jurnal_WS(int jenistransaksi, String nomorbukti, Date tanggalbukti, String kodeurusanprogram,
            String namaurusanprogram, String kodeurusanpelaksana, String namaurusanpelaksana, String kodeskpd,
            String namaskpd, String kodeunitskpd, String namaunitskpd, String kodeprogram, String namaprogram,
            String kodekegiatan, String namakegiatan, String kodefungsi, String namafungsi, String kodeakunutama,
            String namaakunutama, String kodeakunkelompok, String namaakunkelompok, String kodeakunjenis,
            String namaakunjenis, String kodeakunobjek, String namaakunobjek, String kodeakunrincian,
            String namaakunrincian, double nilaidebet, double nilaikredit, int kodeposting, String saldonormal,
            String keterangan, String catatan) {
        super();
        this.jenistransaksi = jenistransaksi;
        this.nomorbukti = nomorbukti;
        this.tanggalbukti = tanggalbukti;
        this.kodeurusanprogram = kodeurusanprogram;
        this.namaurusanprogram = namaurusanprogram;
        this.kodeurusanpelaksana = kodeurusanpelaksana;
        this.namaurusanpelaksana = namaurusanpelaksana;
        this.kodeskpd = kodeskpd;
        this.namaskpd = namaskpd;
        this.kodeunitskpd = kodeunitskpd;
        this.namaunitskpd = namaunitskpd;
        this.kodeprogram = kodeprogram;
        this.namaprogram = namaprogram;
        this.kodekegiatan = kodekegiatan;
        this.namakegiatan = namakegiatan;
        this.kodefungsi = kodefungsi;
        this.namafungsi = namafungsi;
        this.kodeakunutama = kodeakunutama;
        this.namaakunutama = namaakunutama;
        this.kodeakunkelompok = kodeakunkelompok;
        this.namaakunkelompok = namaakunkelompok;
        this.kodeakunjenis = kodeakunjenis;
        this.namaakunjenis = namaakunjenis;
        this.kodeakunobjek = kodeakunobjek;
        this.namaakunobjek = namaakunobjek;
        this.kodeakunrincian = kodeakunrincian;
        this.namaakunrincian = namaakunrincian;
        this.nilaidebet = nilaidebet;
        this.nilaikredit = nilaikredit;
        this.kodeposting = kodeposting;
        this.saldonormal = saldonormal;
        this.keterangan = keterangan;
        this.catatan = catatan;
    }

    public int getJenistransaksi() {
        return jenistransaksi;
    }

    public void setJenistransaksi(int jenistransaksi) {
        this.jenistransaksi = jenistransaksi;
    }

    public String getNomorbukti() {
        return nomorbukti;
    }

    public void setNomorbukti(String nomorbukti) {
        this.nomorbukti = nomorbukti;
    }

    public Date getTanggalbukti() {
        return tanggalbukti;
    }

    public void setTanggalbukti(Date tanggalbukti) {
        this.tanggalbukti = tanggalbukti;
    }

    public String getKodeurusanprogram() {
        return kodeurusanprogram;
    }

    public void setKodeurusanprogram(String kodeurusanprogram) {
        this.kodeurusanprogram = kodeurusanprogram;
    }

    public String getNamaurusanprogram() {
        return namaurusanprogram;
    }

    public void setNamaurusanprogram(String namaurusanprogram) {
        this.namaurusanprogram = namaurusanprogram;
    }

    public String getKodeurusanpelaksana() {
        return kodeurusanpelaksana;
    }

    public void setKodeurusanpelaksana(String kodeurusanpelaksana) {
        this.kodeurusanpelaksana = kodeurusanpelaksana;
    }

    public String getNamaurusanpelaksana() {
        return namaurusanpelaksana;
    }

    public void setNamaurusanpelaksana(String namaurusanpelaksana) {
        this.namaurusanpelaksana = namaurusanpelaksana;
    }

    public String getKodeskpd() {
        return kodeskpd;
    }

    public void setKodeskpd(String kodeskpd) {
        this.kodeskpd = kodeskpd;
    }

    public String getNamaskpd() {
        return namaskpd;
    }

    public void setNamaskpd(String namaskpd) {
        this.namaskpd = namaskpd;
    }

    public String getKodeunitskpd() {
        return kodeunitskpd;
    }

    public void setKodeunitskpd(String kodeunitskpd) {
        this.kodeunitskpd = kodeunitskpd;
    }

    public String getNamaunitskpd() {
        return namaunitskpd;
    }

    public void setNamaunitskpd(String namaunitskpd) {
        this.namaunitskpd = namaunitskpd;
    }

    public String getKodeprogram() {
        return kodeprogram;
    }

    public void setKodeprogram(String kodeprogram) {
        this.kodeprogram = kodeprogram;
    }

    public String getNamaprogram() {
        return namaprogram;
    }

    public void setNamaprogram(String namaprogram) {
        this.namaprogram = namaprogram;
    }

    public String getKodekegiatan() {
        return kodekegiatan;
    }

    public void setKodekegiatan(String kodekegiatan) {
        this.kodekegiatan = kodekegiatan;
    }

    public String getNamakegiatan() {
        return namakegiatan;
    }

    public void setNamakegiatan(String namakegiatan) {
        this.namakegiatan = namakegiatan;
    }

    public String getKodefungsi() {
        return kodefungsi;
    }

    public void setKodefungsi(String kodefungsi) {
        this.kodefungsi = kodefungsi;
    }

    public String getNamafungsi() {
        return namafungsi;
    }

    public void setNamafungsi(String namafungsi) {
        this.namafungsi = namafungsi;
    }

    public String getKodeakunutama() {
        return kodeakunutama;
    }

    public void setKodeakunutama(String kodeakunutama) {
        this.kodeakunutama = kodeakunutama;
    }

    public String getNamaakunutama() {
        return namaakunutama;
    }

    public void setNamaakunutama(String namaakunutama) {
        this.namaakunutama = namaakunutama;
    }

    public String getKodeakunkelompok() {
        return kodeakunkelompok;
    }

    public void setKodeakunkelompok(String kodeakunkelompok) {
        this.kodeakunkelompok = kodeakunkelompok;
    }

    public String getNamaakunkelompok() {
        return namaakunkelompok;
    }

    public void setNamaakunkelompok(String namaakunkelompok) {
        this.namaakunkelompok = namaakunkelompok;
    }

    public String getKodeakunjenis() {
        return kodeakunjenis;
    }

    public void setKodeakunjenis(String kodeakunjenis) {
        this.kodeakunjenis = kodeakunjenis;
    }

    public String getNamaakunjenis() {
        return namaakunjenis;
    }

    public void setNamaakunjenis(String namaakunjenis) {
        this.namaakunjenis = namaakunjenis;
    }

    public String getKodeakunobjek() {
        return kodeakunobjek;
    }

    public void setKodeakunobjek(String kodeakunobjek) {
        this.kodeakunobjek = kodeakunobjek;
    }

    public String getNamaakunobjek() {
        return namaakunobjek;
    }

    public void setNamaakunobjek(String namaakunobjek) {
        this.namaakunobjek = namaakunobjek;
    }

    public String getKodeakunrincian() {
        return kodeakunrincian;
    }

    public void setKodeakunrincian(String kodeakunrincian) {
        this.kodeakunrincian = kodeakunrincian;
    }

    public String getNamaakunrincian() {
        return namaakunrincian;
    }

    public void setNamaakunrincian(String namaakunrincian) {
        this.namaakunrincian = namaakunrincian;
    }

    public double getNilaidebet() {
        return nilaidebet;
    }

    public void setNilaidebet(double nilaidebet) {
        this.nilaidebet = nilaidebet;
    }

    public double getNilaikredit() {
        return nilaikredit;
    }

    public void setNilaikredit(double nilaikredit) {
        this.nilaikredit = nilaikredit;
    }

    public int getKodeposting() {
        return kodeposting;
    }

    public void setKodeposting(int kodeposting) {
        this.kodeposting = kodeposting;
    }

    public String getSaldonormal() {
        return saldonormal;
    }

    public void setSaldonormal(String saldonormal) {
        this.saldonormal = saldonormal;
    }

    public String getKeterangan() {
        return keterangan;
    }

    public void setKeterangan(String keterangan) {
        this.keterangan = keterangan;
    }

    public String getCatatan() {
        return catatan;
    }

    public void setCatatan(String catatan) {
        this.catatan = catatan;
    }

}
